com.pivotal.gemfirexd.internal.client.am

## Class Version

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.Version

    public abstract class Version
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Version()`

### Method Summary

Methods
`static int` `getBuildNumber()`
`static String` `getDriverName()`
`static String` `getDriverVersion()`
`static int` `getMajorVersion()`
`static int` `getMinorVersion()`
`static int` `getProtocolMaintVersion()`
`static boolean` `isAlpha()`
`static boolean` `isBeta()`
`static void` `writeDriverConfiguration(PrintWriter printWriter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Version

    public Version()

### Method Detail

#### getDriverName

    public static String getDriverName()

#### getDriverVersion

    public static String getDriverVersion()

#### getMajorVersion

    public static int getMajorVersion()

#### getMinorVersion

    public static int getMinorVersion()

#### getBuildNumber

    public static int getBuildNumber()

#### getProtocolMaintVersion

    public static int getProtocolMaintVersion()

#### isAlpha

    public static boolean isAlpha()

#### isBeta

    public static boolean isBeta()

#### writeDriverConfiguration

    public static void writeDriverConfiguration(PrintWriter printWriter)